Subject: Re: [bisected] Weird sysctl regression

From: Al Viro <[email-masked]>
Date: Sat, 23 Aug 2008 18:02:48 +0100

On Sat, Aug 23, 2008 at 06:03:33PM +0200, Arnaud Ebalard wrote:
> > Can you reproduce it on mainline kernel
> 
> All Linux 2.6.26 (initial and stable releases) are not affected. I am
> currently running 2.6.26.3.
> 
> > or bisect between the mainline and net-2.6 if mainline is OK?
> 
> As I wrote in my previous email, bisecting net-2.6 lead me to 
> 9043476f726802f4b00c96d0c4f418dde48d1304 ([PATCH] sanitize proc_sysctl)
> which is in the middle of a set of fs/sysctl related patches. 
> 
> I think I am missing the point on what you want me to do. Can you
> clarify? 

Check the tip of Linus' git tree.  Or, at least, something like -rc4.